package de.jottyfan.quickiemod.block;

import net.minecraft.block.AbstractBlock;
import net.minecraft.block.Block;
import net.minecraft.registry.RegistryKey;
import net.minecraft.registry.RegistryKeys;
import net.minecraft.sound.BlockSoundGroup;
import net.minecraft.util.Identifier;

/**
 *
 * @author jotty
 *
 */
public class BlockSlippery extends Block {

	public BlockSlippery(Identifier identifier, float hardness, float slipperiness, BlockSoundGroup soundGroup) {
		super(AbstractBlock.Settings.create().hardness(hardness).slipperiness(slipperiness).breakInstantly()
				.sounds(soundGroup).registryKey(RegistryKey.of(RegistryKeys.BLOCK, identifier)));
	}

}
